package classes;

import ui.model.DecoratedCable;

/**
 * A VisualRepresentation to represent a connection from a UpperNode to a AbstactCpsObject, but actually the UpperNode is not connected.
 * @author Tom
 *
 */
public class IntermediateCalculationCable {
	private AbstractCpsObject outsideObject;
	private AbstractCpsObject insideObject;
	private CpsUpperNode getInsideUpperNode;
	private CpsUpperNode getOutsideUpperNode;
	private DecoratedCable cable;
	public IntermediateCalculationCable(DecoratedCable cable, CpsUpperNode getInsideUpperNode,CpsUpperNode getOutsideUpperNode, AbstractCpsObject insideObject, AbstractCpsObject outsideObject){
		this.cable = cable;
		this.getInsideUpperNode = getInsideUpperNode;
		this.getOutsideUpperNode = getOutsideUpperNode;
		this.insideObject = insideObject;
		this.outsideObject = outsideObject;
	}
	public AbstractCpsObject getOusideObject() {
		return outsideObject;
	}
	public AbstractCpsObject getInsideObject() {
		return insideObject;
	}
	public CpsUpperNode getInsideUpperNode() {
		return getInsideUpperNode;
	}
	public DecoratedCable getCable() {
		return cable;
	}
	public CpsEdge getModel() {
		return cable.getModel();
	}
	public CpsUpperNode getOutsideUpperNode() {
		return getOutsideUpperNode;
	}
	public String toString() {
		return getModel().toString();
		
	}

}
